declare const _default: import("vue").DefineComponent<{
    title: any;
    linkUrl: any;
    heardHeight: number;
    rightWidth: number;
}, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    closePanleLink: (...args: any[]) => void;
}, string, import("vue").PublicProps, Readonly<{
    title: any;
    linkUrl: any;
    heardHeight: number;
    rightWidth: number;
}> & Readonly<{
    onClosePanleLink?: ((...args: any[]) => any) | undefined;
}>, {
    title: any;
    heardHeight: number;
    linkUrl: any;
    rightWidth: number;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
export default _default;
